<div xmlns:th="http://www.w3.org/1999/xhtml">
    <th:block th:fragment="success-message">
        <div class="alert alert-success" role="alert" th:if="${successMessage}">
            <span id="successMessage" th:text="${successMessage}"></span>
            <button aria-hidden="true" aria-label="Close" class="close" data-dismiss="alert" type="button"></button>
        </div>
    </th:block>

    <th:block th:fragment="error-message">
        <div class="alert alert-danger alert-dismissible" role="alert" th:if="${errorMessage}">
            <span id="errorMessage" th:text="${errorMessage}"></span>
            <button aria-hidden="true" aria-label="Close" class="close" data-dismiss="alert" type="button"></button>
        </div>
    </th:block>

    <th:block th:fragment="warning-message">
        <div class="alert alert-warning alert-dismissible" role="alert" th:if="${warningMessage}">
            <span id="warningMessage" th:text="${errorMessage}"></span>
            <button aria-hidden="true" aria-label="Close" class="close" data-dismiss="alert" type="button"></button>
        </div>
    </th:block>
</div>